Print operations for products
Do product-specific prints
post/tenants/{tenantUid}/products/{productUid}/print
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+Body
The printerUid will be required when the peripheralUid is removed.
storeUidstringOptionalPattern:
^[A-Za-z0-9-_]+typestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| BARCODE | Print barcode labels |
templatestringRequired
Must be a valid template name from /v2/metadata/labels
peripheralUidstringOptionalDeprecatedPattern:
^[A-Za-z0-9-_]+printerUidstringOptionalPattern:
^[A-Za-z0-9-_]+copiesintegerOptional
serialnumbersstring[]Optional
Prints a label for each serial number, appending the serial number as barcode and plain text.
Responses
204
No Content
No content
post/tenants/{tenantUid}/products/{productUid}/print
POST /v2/tenants/{tenantUid}/products/{productUid}/print HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 110
{
"storeUid": "text",
"type": "BARCODE",
"template": "text",
"printerUid": "text",
"copies": 1,
"serialnumbers": [
"text"
]
}204
No Content
No content
Last updated
Was this helpful?

